/*
 * This file is part of FGGL.
 *
 * FGGL is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * FGGL is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with FGGL.
 * If not, see <https://www.gnu.org/licenses/>.
 */

//
// Created by webpigeon on 19/06/22.
//

#ifndef FGGL_INPUT_BASICS_H
#define FGGL_INPUT_BASICS_H

namespace fggl::input {

	enum class InputType {
			BUTTON, // 0 || 1
			UNIDIRECTIONAL_AXIS, // [0,1], absolute
			BIDIRECTIONAL_AXIS, // [-1, 1], absolute
			RELATIVE_AXIS // [-1, 1], relative
	};

} // namespace fggl::input

#endif //FGGL_INPUT_BASICS_H
